Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fc4b::/16
First address
fc4b::
Last address
fc4b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fc4b:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
b.4.c.f.ip6.arpa
Split into smaller subnets/24

fc4b::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1fc4b::/24fc4b:ff:ffff:ffff:ffff:ffff:ffff:ffff
2fc4b:100::/24fc4b:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3fc4b:200::/24fc4b:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4fc4b:300::/24fc4b:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5fc4b:400::/24fc4b:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6fc4b:500::/24fc4b:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7fc4b:600::/24fc4b:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8fc4b:700::/24fc4b:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9fc4b:800::/24fc4b:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10fc4b:900::/24fc4b:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11fc4b:a00::/24fc4b:aff:ffff:ffff:ffff:ffff:ffff:ffff
12fc4b:b00::/24fc4b:bff:ffff:ffff:ffff:ffff:ffff:ffff
13fc4b:c00::/24fc4b:cff:ffff:ffff:ffff:ffff:ffff:ffff
14fc4b:d00::/24fc4b:dff:ffff:ffff:ffff:ffff:ffff:ffff
15fc4b:e00::/24fc4b:eff:ffff:ffff:ffff:ffff:ffff:ffff
16fc4b:f00::/24fc4b:fff:ffff:ffff:ffff:ffff:ffff:ffff
17fc4b:1000::/24fc4b:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18fc4b:1100::/24fc4b:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19fc4b:1200::/24fc4b:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20fc4b:1300::/24fc4b:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21fc4b:1400::/24fc4b:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22fc4b:1500::/24fc4b:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23fc4b:1600::/24fc4b:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24fc4b:1700::/24fc4b:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25fc4b:1800::/24fc4b:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26fc4b:1900::/24fc4b:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27fc4b:1a00::/24fc4b:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28fc4b:1b00::/24fc4b:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29fc4b:1c00::/24fc4b:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30fc4b:1d00::/24fc4b:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31fc4b:1e00::/24fc4b:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32fc4b:1f00::/24fc4b:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33fc4b:2000::/24fc4b:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34fc4b:2100::/24fc4b:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35fc4b:2200::/24fc4b:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36fc4b:2300::/24fc4b:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37fc4b:2400::/24fc4b:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38fc4b:2500::/24fc4b:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39fc4b:2600::/24fc4b:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40fc4b:2700::/24fc4b:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41fc4b:2800::/24fc4b:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42fc4b:2900::/24fc4b:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43fc4b:2a00::/24fc4b:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44fc4b:2b00::/24fc4b:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45fc4b:2c00::/24fc4b:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46fc4b:2d00::/24fc4b:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47fc4b:2e00::/24fc4b:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48fc4b:2f00::/24fc4b:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49fc4b:3000::/24fc4b:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50fc4b:3100::/24fc4b:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51fc4b:3200::/24fc4b:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52fc4b:3300::/24fc4b:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53fc4b:3400::/24fc4b:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54fc4b:3500::/24fc4b:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55fc4b:3600::/24fc4b:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56fc4b:3700::/24fc4b:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57fc4b:3800::/24fc4b:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58fc4b:3900::/24fc4b:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59fc4b:3a00::/24fc4b:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60fc4b:3b00::/24fc4b:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61fc4b:3c00::/24fc4b:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62fc4b:3d00::/24fc4b:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63fc4b:3e00::/24fc4b:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64fc4b:3f00::/24fc4b:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65fc4b:4000::/24fc4b:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66fc4b:4100::/24fc4b:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67fc4b:4200::/24fc4b:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68fc4b:4300::/24fc4b:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69fc4b:4400::/24fc4b:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70fc4b:4500::/24fc4b:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71fc4b:4600::/24fc4b:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72fc4b:4700::/24fc4b:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73fc4b:4800::/24fc4b:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74fc4b:4900::/24fc4b:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75fc4b:4a00::/24fc4b:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76fc4b:4b00::/24fc4b:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77fc4b:4c00::/24fc4b:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78fc4b:4d00::/24fc4b:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79fc4b:4e00::/24fc4b:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80fc4b:4f00::/24fc4b:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81fc4b:5000::/24fc4b:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82fc4b:5100::/24fc4b:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83fc4b:5200::/24fc4b:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84fc4b:5300::/24fc4b:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85fc4b:5400::/24fc4b:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86fc4b:5500::/24fc4b:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87fc4b:5600::/24fc4b:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88fc4b:5700::/24fc4b:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89fc4b:5800::/24fc4b:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90fc4b:5900::/24fc4b:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91fc4b:5a00::/24fc4b:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92fc4b:5b00::/24fc4b:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93fc4b:5c00::/24fc4b:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94fc4b:5d00::/24fc4b:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95fc4b:5e00::/24fc4b:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96fc4b:5f00::/24fc4b:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97fc4b:6000::/24fc4b:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98fc4b:6100::/24fc4b:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99fc4b:6200::/24fc4b:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100fc4b:6300::/24fc4b:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101fc4b:6400::/24fc4b:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102fc4b:6500::/24fc4b:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103fc4b:6600::/24fc4b:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104fc4b:6700::/24fc4b:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105fc4b:6800::/24fc4b:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106fc4b:6900::/24fc4b:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107fc4b:6a00::/24fc4b:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108fc4b:6b00::/24fc4b:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109fc4b:6c00::/24fc4b:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110fc4b:6d00::/24fc4b:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111fc4b:6e00::/24fc4b:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112fc4b:6f00::/24fc4b:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113fc4b:7000::/24fc4b:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114fc4b:7100::/24fc4b:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115fc4b:7200::/24fc4b:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116fc4b:7300::/24fc4b:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117fc4b:7400::/24fc4b:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118fc4b:7500::/24fc4b:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119fc4b:7600::/24fc4b:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120fc4b:7700::/24fc4b:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121fc4b:7800::/24fc4b:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122fc4b:7900::/24fc4b:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123fc4b:7a00::/24fc4b:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124fc4b:7b00::/24fc4b:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125fc4b:7c00::/24fc4b:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126fc4b:7d00::/24fc4b:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127fc4b:7e00::/24fc4b:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128fc4b:7f00::/24fc4b:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129fc4b:8000::/24fc4b:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130fc4b:8100::/24fc4b:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131fc4b:8200::/24fc4b:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132fc4b:8300::/24fc4b:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133fc4b:8400::/24fc4b:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134fc4b:8500::/24fc4b:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135fc4b:8600::/24fc4b:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136fc4b:8700::/24fc4b:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137fc4b:8800::/24fc4b:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138fc4b:8900::/24fc4b:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139fc4b:8a00::/24fc4b:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140fc4b:8b00::/24fc4b:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141fc4b:8c00::/24fc4b:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142fc4b:8d00::/24fc4b:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143fc4b:8e00::/24fc4b:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144fc4b:8f00::/24fc4b:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145fc4b:9000::/24fc4b:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146fc4b:9100::/24fc4b:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147fc4b:9200::/24fc4b:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148fc4b:9300::/24fc4b:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149fc4b:9400::/24fc4b:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150fc4b:9500::/24fc4b:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151fc4b:9600::/24fc4b:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152fc4b:9700::/24fc4b:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153fc4b:9800::/24fc4b:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154fc4b:9900::/24fc4b:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155fc4b:9a00::/24fc4b:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156fc4b:9b00::/24fc4b:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157fc4b:9c00::/24fc4b:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158fc4b:9d00::/24fc4b:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159fc4b:9e00::/24fc4b:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160fc4b:9f00::/24fc4b:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161fc4b:a000::/24fc4b:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162fc4b:a100::/24fc4b:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163fc4b:a200::/24fc4b:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164fc4b:a300::/24fc4b:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165fc4b:a400::/24fc4b:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166fc4b:a500::/24fc4b:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167fc4b:a600::/24fc4b:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168fc4b:a700::/24fc4b:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169fc4b:a800::/24fc4b:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170fc4b:a900::/24fc4b:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171fc4b:aa00::/24fc4b:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172fc4b:ab00::/24fc4b:abff:ffff:ffff:ffff:ffff:ffff:ffff
173fc4b:ac00::/24fc4b:acff:ffff:ffff:ffff:ffff:ffff:ffff
174fc4b:ad00::/24fc4b:adff:ffff:ffff:ffff:ffff:ffff:ffff
175fc4b:ae00::/24fc4b:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176fc4b:af00::/24fc4b:afff:ffff:ffff:ffff:ffff:ffff:ffff
177fc4b:b000::/24fc4b:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178fc4b:b100::/24fc4b:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179fc4b:b200::/24fc4b:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180fc4b:b300::/24fc4b:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181fc4b:b400::/24fc4b:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182fc4b:b500::/24fc4b:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183fc4b:b600::/24fc4b:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184fc4b:b700::/24fc4b:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185fc4b:b800::/24fc4b:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186fc4b:b900::/24fc4b:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187fc4b:ba00::/24fc4b:baff:ffff:ffff:ffff:ffff:ffff:ffff
188fc4b:bb00::/24fc4b:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189fc4b:bc00::/24fc4b:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190fc4b:bd00::/24fc4b:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191fc4b:be00::/24fc4b:beff:ffff:ffff:ffff:ffff:ffff:ffff
192fc4b:bf00::/24fc4b:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193fc4b:c000::/24fc4b:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194fc4b:c100::/24fc4b:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195fc4b:c200::/24fc4b:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196fc4b:c300::/24fc4b:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197fc4b:c400::/24fc4b:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198fc4b:c500::/24fc4b:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199fc4b:c600::/24fc4b:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200fc4b:c700::/24fc4b:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201fc4b:c800::/24fc4b:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202fc4b:c900::/24fc4b:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203fc4b:ca00::/24fc4b:caff:ffff:ffff:ffff:ffff:ffff:ffff
204fc4b:cb00::/24fc4b:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205fc4b:cc00::/24fc4b:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206fc4b:cd00::/24fc4b:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207fc4b:ce00::/24fc4b:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208fc4b:cf00::/24fc4b:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209fc4b:d000::/24fc4b:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210fc4b:d100::/24fc4b:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211fc4b:d200::/24fc4b:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212fc4b:d300::/24fc4b:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213fc4b:d400::/24fc4b:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214fc4b:d500::/24fc4b:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215fc4b:d600::/24fc4b:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216fc4b:d700::/24fc4b:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217fc4b:d800::/24fc4b:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218fc4b:d900::/24fc4b:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219fc4b:da00::/24fc4b:daff:ffff:ffff:ffff:ffff:ffff:ffff
220fc4b:db00::/24fc4b:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221fc4b:dc00::/24fc4b:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222fc4b:dd00::/24fc4b:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223fc4b:de00::/24fc4b:deff:ffff:ffff:ffff:ffff:ffff:ffff
224fc4b:df00::/24fc4b:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225fc4b:e000::/24fc4b:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226fc4b:e100::/24fc4b:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227fc4b:e200::/24fc4b:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228fc4b:e300::/24fc4b:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229fc4b:e400::/24fc4b:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230fc4b:e500::/24fc4b:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231fc4b:e600::/24fc4b:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232fc4b:e700::/24fc4b:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233fc4b:e800::/24fc4b:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234fc4b:e900::/24fc4b:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235fc4b:ea00::/24fc4b:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236fc4b:eb00::/24fc4b:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237fc4b:ec00::/24fc4b:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238fc4b:ed00::/24fc4b:edff:ffff:ffff:ffff:ffff:ffff:ffff
239fc4b:ee00::/24fc4b:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240fc4b:ef00::/24fc4b:efff:ffff:ffff:ffff:ffff:ffff:ffff
241fc4b:f000::/24fc4b:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242fc4b:f100::/24fc4b:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243fc4b:f200::/24fc4b:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244fc4b:f300::/24fc4b:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245fc4b:f400::/24fc4b:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246fc4b:f500::/24fc4b:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247fc4b:f600::/24fc4b:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248fc4b:f700::/24fc4b:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249fc4b:f800::/24fc4b:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250fc4b:f900::/24fc4b:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251fc4b:fa00::/24fc4b:faff:ffff:ffff:ffff:ffff:ffff:ffff
252fc4b:fb00::/24fc4b:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253fc4b:fc00::/24fc4b:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254fc4b:fd00::/24fc4b:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255fc4b:fe00::/24fc4b:feff:ffff:ffff:ffff:ffff:ffff:ffff
256fc4b:ff00::/24fc4b:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses